## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelPropertyChangeCallback Struct Reference

This is a callback that is called whenever a property changes for some property class. More...

`#include <physicallayer/propchg.h>`

List of all members.

## Public Member Functions

virtual void | PropertyChanged (int propertyId, iCelPropertyClass *pclass)=0
| This function will be called when a property changes.

## Detailed Description

This is a callback that is called whenever a property changes for some property class.

Definition at line 34 of file propchg.h.

## Member Function Documentation

virtual void iCelPropertyChangeCallback::PropertyChanged | ( | int | propertyId,
|  | iCelPropertyClass * | pclass
| ) | `[pure virtual]`

| This function will be called when a property changes. 'propertyId' is a local id (local to the property class) indicating which property has changed.

The documentation for this struct was generated from the following file:

- physicallayer/propchg.h